Managed Service for PostgreSQL API, REST: Cluster.Update
- HTTP request
- Path parameters
- Body parameters
- ConfigSpec
- PostgresqlConfig11
- PostgresqlConfig12
- PostgresqlConfig13
- PostgresqlConfig13_1C
- PostgresqlConfig14
- PostgresqlConfig14_1C
- PostgresqlConfig15
- PostgresqlConfig15_1C
- PostgresqlConfig16
- PostgresqlConfig16_1C
- PostgresqlConfig17
- PostgresqlConfig17_1C
- PostgresqlConfig18
- PostgresqlConfig18_1C
- ConnectionPoolerConfig
- Resources
- TimeOfDay
- Access
- PerformanceDiagnostics
- DiskSizeAutoscaling
- ClusterConnectionManager
- ManagedRepack
- MaintenanceWindow
- WeeklyMaintenanceWindow
- Response
- UpdateClusterMetadata
- OperationLog
- ClusterEntity
- HostEntity
- Status
- Cluster
- Monitoring
- ClusterConfig
- PostgresqlConfigSet11
- PostgresqlConfig11
- PostgresqlConfigSet12
- PostgresqlConfig12
- PostgresqlConfigSet13
- PostgresqlConfig13
- PostgresqlConfigSet13_1C
- PostgresqlConfig13_1C
- PostgresqlConfigSet14
- PostgresqlConfig14
- PostgresqlConfigSet14_1C
- PostgresqlConfig14_1C
- PostgresqlConfigSet15
- PostgresqlConfig15
- PostgresqlConfigSet15_1C
- PostgresqlConfig15_1C
- PostgresqlConfigSet16
- PostgresqlConfig16
- PostgresqlConfigSet16_1C
- PostgresqlConfig16_1C
- PostgresqlConfigSet17
- PostgresqlConfig17
- PostgresqlConfigSet17_1C
- PostgresqlConfig17_1C
- PostgresqlConfigSet18
- PostgresqlConfig18
- PostgresqlConfigSet18_1C
- PostgresqlConfig18_1C
- ConnectionPoolerConfig
- Resources
- TimeOfDay
- Access
- PerformanceDiagnostics
- DiskSizeAutoscaling
- ClusterConnectionManager
- ManagedRepack
- MaintenanceWindow
- WeeklyMaintenanceWindow
- MaintenanceOperation
Updates the specified PostgreSQL cluster.
HTTP request
PATCH https://mdb.api.cloud.yandex.net/managed-postgresql/v1/clusters/{clusterId}
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the PostgreSQL Cluster resource to update. The maximum string length in characters is 50. |
Body parameters
{
"updateMask": "string",
"description": "string",
"labels": "object",
"configSpec": {
"version": "string",
// Includes only one of the fields `postgresqlConfig_11`, `postgresqlConfig_12`, `postgresqlConfig_13`, `postgresqlConfig_13_1c`, `postgresqlConfig_14`, `postgresqlConfig_14_1c`, `postgresqlConfig_15`, `postgresqlConfig_15_1c`, `postgresqlConfig_16`, `postgresqlConfig_16_1c`, `postgresqlConfig_17`, `postgresqlConfig_17_1c`, `postgresqlConfig_18`, `postgresqlConfig_18_1c`
"postgresqlConfig_11": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"vacuumCleanupIndexScaleFactor": "number",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string"
},
"postgresqlConfig_12": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"vacuumCleanupIndexScaleFactor": "number",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string"
},
"postgresqlConfig_13": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"vacuumCleanupIndexScaleFactor": "number",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string"
},
"postgresqlConfig_13_1c": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"onlineAnalyzeEnable": "boolean",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"vacuumCleanupIndexScaleFactor": "number",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"plantunerFixEmptyTable": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string"
},
"postgresqlConfig_14": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_14_1c": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"onlineAnalyzeEnable": "boolean",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"plantunerFixEmptyTable": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_15": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"pgHintPlanHintsAnywhere": "boolean",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_15_1c": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"onlineAnalyzeEnable": "boolean",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"plantunerFixEmptyTable": "boolean",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"pgHintPlanHintsAnywhere": "boolean",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_16": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"pgHintPlanHintsAnywhere": "boolean",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_16_1c": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"onlineAnalyzeEnable": "boolean",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"plantunerFixEmptyTable": "boolean",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"pgHintPlanHintsAnywhere": "boolean",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_17": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"trackCommitTimestamp": "boolean",
"maxLogicalReplicationWorkers": "string",
"maxWalSenders": "string",
"maxReplicationSlots": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_17_1c": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"onlineAnalyzeEnable": "boolean",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"plantunerFixEmptyTable": "boolean",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"trackCommitTimestamp": "boolean",
"maxLogicalReplicationWorkers": "string",
"maxWalSenders": "string",
"maxReplicationSlots": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_18": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"trackCommitTimestamp": "boolean",
"maxLogicalReplicationWorkers": "string",
"maxWalSenders": "string",
"maxReplicationSlots": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"vacuumTruncate": "boolean",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string",
"maxActiveReplicationOrigins": "string"
},
"postgresqlConfig_18_1c": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"onlineAnalyzeEnable": "boolean",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"plantunerFixEmptyTable": "boolean",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"trackCommitTimestamp": "boolean",
"maxLogicalReplicationWorkers": "string",
"maxWalSenders": "string",
"maxReplicationSlots": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"vacuumTruncate": "boolean",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string",
"maxActiveReplicationOrigins": "string"
},
// end of the list of possible fields
"poolerConfig": {
"poolingMode": "string",
"poolDiscard": "boolean"
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"autofailover": "boolean",
"backupWindowStart": {
"hours": "integer",
"minutes": "integer",
"seconds": "integer",
"nanos": "integer"
},
"backupRetainPeriodDays": "string",
"access": {
"dataLens": "boolean",
"webSql": "boolean",
"serverless": "boolean",
"dataTransfer": "boolean",
"yandexQuery": "boolean"
},
"performanceDiagnostics": {
"enabled": "boolean",
"sessionsSamplingInterval": "string",
"statementsSamplingInterval": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
},
"connectionManager": {
"enabled": "boolean",
"connectionsFolderId": "string",
"secretsFolderId": "string"
},
"managedRepack": {
"enabled": "boolean"
}
},
"name": "string",
"maintenanceWindow": {
// Includes only one of the fields `anytime`, `weeklyMaintenanceWindow`
"anytime": "object",
"weeklyMaintenanceWindow": {
"day": "string",
"hour": "string"
}
// end of the list of possible fields
},
"securityGroupIds": [
"string"
],
"deletionProtection": "boolean",
"networkId": "string"
}
|
Field |
Description |
|
updateMask |
string (field-mask) A comma-separated names off ALL fields to be updated. If |
|
description |
string New description of the PostgreSQL cluster. The maximum string length in characters is 256. |
|
labels |
object (map<string, string>) Custom labels for the PostgreSQL cluster as The new set of labels will completely replace the old ones. To add a label, request the current No more than 64 per resource. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
configSpec |
New configuration and resources for hosts in the cluster. |
|
name |
string New name for the cluster. The maximum string length in characters is 63. Value must match the regular expression |
|
maintenanceWindow |
New maintenance window settings for the cluster. |
|
securityGroupIds[] |
string User security groups |
|
deletionProtection |
boolean Deletion Protection inhibits deletion of the cluster |
|
networkId |
string ID of the network to move the cluster to. The maximum string length in characters is 50. |
ConfigSpec
|
Field |
Description |
|
version |
string Version of PostgreSQL used in the cluster. |
|
postgresqlConfig_11 |
Configuration for a PostgreSQL 11 cluster. Includes only one of the fields Configuration of a PostgreSQL cluster. |
|
postgresqlConfig_12 |
Configuration for a PostgreSQL 12 cluster. Includes only one of the fields Configuration of a PostgreSQL cluster. |
|
postgresqlConfig_13 |
Configuration for a PostgreSQL 13 cluster. Includes only one of the fields Configuration of a PostgreSQL cluster. |
|
postgresqlConfig_13_1c |
Configuration for a PostgreSQL 13 1C cluster. Includes only one of the fields Configuration of a PostgreSQL cluster. |
|
postgresqlConfig_14 |
Configuration for a PostgreSQL 14 cluster. Includes only one of the fields Configuration of a PostgreSQL cluster. |
|
postgresqlConfig_14_1c |
Configuration for a PostgreSQL 14 1C cluster. Includes only one of the fields Configuration of a PostgreSQL cluster. |
|
postgresqlConfig_15 |
Configuration for a PostgreSQL 15 cluster. Includes only one of the fields Configuration of a PostgreSQL cluster. |
|
postgresqlConfig_15_1c |
Configuration for a PostgreSQL 15 1C cluster. Includes only one of the fields Configuration of a PostgreSQL cluster. |
|
postgresqlConfig_16 |
Configuration for a PostgreSQL 16 cluster. Includes only one of the fields Configuration of a PostgreSQL cluster. |
|
postgresqlConfig_16_1c |
Configuration for a PostgreSQL 16 1C cluster. Includes only one of the fields Configuration of a PostgreSQL cluster. |
|
postgresqlConfig_17 |
Configuration for a PostgreSQL 17 cluster. Includes only one of the fields Configuration of a PostgreSQL cluster. |
|
postgresqlConfig_17_1c |
Configuration for a PostgreSQL 17 1C cluster. Includes only one of the fields Configuration of a PostgreSQL cluster. |
|
postgresqlConfig_18 |
Configuration for a PostgreSQL 18 cluster. Includes only one of the fields Configuration of a PostgreSQL cluster. |
|
postgresqlConfig_18_1c |
Configuration for a PostgreSQL 18 1C cluster. Includes only one of the fields Configuration of a PostgreSQL cluster. |
|
poolerConfig |
Configuration of the connection pooler. |
|
resources |
Resources allocated to PostgreSQL hosts. |
|
autofailover |
boolean Configuration setting which enables/disables autofailover in cluster. |
|
backupWindowStart |
Time to start the daily backup, in the UTC timezone. |
|
backupRetainPeriodDays |
string (int64) Retention policy of automated backups. Acceptable values are 7 to 60, inclusive. |
|
access |
Access policy to DB |
|
performanceDiagnostics |
Configuration of the performance diagnostics service. |
|
diskSizeAutoscaling |
Disk size autoscaling |
|
connectionManager |
Cluster-wide Connection Manager integration configuration |
|
managedRepack |
Configuration of managed pg_repack. |
PostgresqlConfig11
Options and structure of PostgresqlConfig reflects PostgreSQL configuration file
parameters which detailed description is available in
PostgreSQL documentation
|
Field |
Description |
|
maxConnections |
string (int64) The minimum value is 16. |
|
sharedBuffers |
string (int64) in bytes. |
|
tempBuffers |
string (int64) in bytes. |
|
maxPreparedTransactions |
string (int64) |
|
workMem |
string (int64) in bytes. |
|
maintenanceWorkMem |
string (int64) in bytes. |
|
autovacuumWorkMem |
string (int64) in bytes. |
|
tempFileLimit |
string (int64) in bytes. |
|
vacuumCostDelay |
string (int64) in milliseconds. |
|
vacuumCostPageHit |
string (int64) |
|
vacuumCostPageMiss |
string (int64) |
|
vacuumCostPageDirty |
string (int64) |
|
vacuumCostLimit |
string (int64) |
|
bgwriterDelay |
string (int64) in milliseconds. Acceptable values are 10 to 10000, inclusive. |
|
bgwriterLruMaxpages |
string (int64) |
|
bgwriterLruMultiplier |
number (double) |
|
bgwriterFlushAfter |
string (int64) in bytes Acceptable values are 0 to 2097152, inclusive. |
|
backendFlushAfter |
string (int64) in bytes Acceptable values are 0 to 2097152, inclusive. |
|
oldSnapshotThreshold |
string (int64) |
|
walLevel |
enum (WalLevel)
|
|
synchronousCommit |
enum (SynchronousCommit)
|
|
checkpointTimeout |
string (int64) in milliseconds. Acceptable values are 30000 to 86400000, inclusive. |
|
checkpointCompletionTarget |
number (double) |
|
checkpointFlushAfter |
string (int64) in bytes Acceptable values are 0 to 2097152, inclusive. |
|
maxWalSize |
string (int64) in bytes. |
|
minWalSize |
string (int64) in bytes. |
|
maxStandbyStreamingDelay |
string (int64) in milliseconds. |
|
defaultStatisticsTarget |
string (int64) |
|
constraintExclusion |
enum (ConstraintExclusion)
|
|
cursorTupleFraction |
number (double) |
|
fromCollapseLimit |
string (int64) Acceptable values are 1 to 2147483647, inclusive. |
|
joinCollapseLimit |
string (int64) Acceptable values are 1 to 2147483647, inclusive. |
|
forceParallelMode |
enum (ForceParallelMode)
|
|
clientMinMessages |
enum (LogLevel)
|
|
logMinMessages |
enum (LogLevel)
|
|
logMinErrorStatement |
enum (LogLevel)
|
|
logMinDurationStatement |
string (int64) in milliseconds. |
|
logCheckpoints |
boolean |
|
logConnections |
boolean |
|
logDisconnections |
boolean |
|
logDuration |
boolean |
|
logErrorVerbosity |
enum (LogErrorVerbosity)
|
|
logLockWaits |
boolean |
|
logStatement |
enum (LogStatement)
|
|
logTempFiles |
string (int64) |
|
searchPath |
string |
|
rowSecurity |
boolean |
|
defaultTransactionIsolation |
enum (TransactionIsolation)
|
|
statementTimeout |
string (int64) in milliseconds. |
|
lockTimeout |
string (int64) in milliseconds. |
|
idleInTransactionSessionTimeout |
string (int64) in milliseconds. Acceptable values are 0 to 2147483647, inclusive. |
|
byteaOutput |
enum (ByteaOutput)
|
|
xmlbinary |
enum (XmlBinary)
|
|
xmloption |
enum (XmlOption)
|
|
ginPendingListLimit |
string (int64) in bytes. |
|
deadlockTimeout |
string (int64) in milliseconds. Acceptable values are 1 to 2147483647, inclusive. |
|
maxLocksPerTransaction |
string (int64) |
|
maxPredLocksPerTransaction |
string (int64) |
|
arrayNulls |
boolean |
|
backslashQuote |
enum (BackslashQuote)
|
|
defaultWithOids |
boolean |
|
escapeStringWarning |
boolean |
|
loCompatPrivileges |
boolean |
|
operatorPrecedenceWarning |
boolean |
|
quoteAllIdentifiers |
boolean |
|
standardConformingStrings |
boolean |
|
synchronizeSeqscans |
boolean |
|
transformNullEquals |
boolean |
|
exitOnError |
boolean |
|
seqPageCost |
number (double) |
|
randomPageCost |
number (double) |
|
autovacuumMaxWorkers |
string (int64) Acceptable values are 1 to 32, inclusive. |
|
autovacuumVacuumCostDelay |
string (int64) |
|
autovacuumVacuumCostLimit |
string (int64) |
|
autovacuumNaptime |
string (int64) in milliseconds. Acceptable values are 1000 to 86400000, inclusive. |
|
archiveTimeout |
string (int64) in milliseconds. Acceptable values are 10000 to 86400000, inclusive. |
|
trackActivityQuerySize |
string (int64) Acceptable values are 100 to 102400, inclusive. |
|
enableBitmapscan |
boolean |
|
enableHashagg |
boolean |
|
enableHashjoin |
boolean |
|
enableIndexscan |
boolean |
|
enableIndexonlyscan |
boolean |
|
enableMaterial |
boolean |
|
enableMergejoin |
boolean |
|
enableNestloop |
boolean |
|
enableSeqscan |
boolean |
|
enableSort |
boolean |
|
enableTidscan |
boolean |
|
maxWorkerProcesses |
string (int64) Acceptable values are 0 to 1024, inclusive. |
|
maxParallelWorkers |
string (int64) Acceptable values are 0 to 1024, inclusive. |
|
maxParallelWorkersPerGather |
string (int64) Acceptable values are 0 to 1024, inclusive. |
|
autovacuumVacuumScaleFactor |
number (double) |
|
autovacuumAnalyzeScaleFactor |
number (double) |
|
defaultTransactionReadOnly |
boolean |
|
timezone |
string |
|
enableParallelAppend |
boolean |
|
enableParallelHash |
boolean |
|
enablePartitionPruning |
boolean |
|
enablePartitionwiseAggregate |
boolean |
|
enablePartitionwiseJoin |
boolean |
|
jit |
boolean |
|
maxParallelMaintenanceWorkers |
string (int64) The minimum value is 0. |
|
parallelLeaderParticipation |
boolean |
|
vacuumCleanupIndexScaleFactor |
number (double) |
|
effectiveIoConcurrency |
string (int64) Acceptable values are 0 to 1000, inclusive. |
|
effectiveCacheSize |
string (int64) Acceptable values are 1048576 to 549755813888, inclusive. |
|
sharedPreloadLibraries[] |
enum (SharedPreloadLibraries)
|
|
autoExplainLogMinDuration |
string (int64) in milliseconds. |
|
autoExplainLogAnalyze |
boolean |
|
autoExplainLogBuffers |
boolean |
|
autoExplainLogTiming |
boolean |
|
autoExplainLogTriggers |
boolean |
|
autoExplainLogVerbose |
boolean |
|
autoExplainLogNestedStatements |
boolean |
|
autoExplainSampleRate |
number (double) |
|
pgHintPlanEnableHint |
boolean |
|
pgHintPlanEnableHintTable |
boolean |
|
pgHintPlanDebugPrint |
enum (PgHintPlanDebugPrint)
|
|
pgHintPlanMessageLevel |
enum (LogLevel)
|
|
pgQualstatsEnabled |
boolean |
|
pgQualstatsTrackConstants |
boolean |
|
pgQualstatsMax |
string (int64) |
|
pgQualstatsResolveOids |
boolean |
|
pgQualstatsSampleRate |
number (double) |
|
maxStackDepth |
string (int64) in bytes. Acceptable values are 65536 to 134217728, inclusive. |
|
geqo |
boolean enable Genetic Query Optimizer, by default is on |
|
geqoThreshold |
string (int64) The number of tables to use geqo, default is 12 Acceptable values are 2 to 2147483647, inclusive. |
|
geqoEffort |
string (int64) tradeoff between planning time and query plan quality, default is 5 Acceptable values are 1 to 10, inclusive. |
|
geqoPoolSize |
string (int64) number of individuals in the genetic population, useful values are typically 100 to 1000; default - 0 - choose based on based on geqo_effort |
|
geqoGenerations |
string (int64) the number of generations used by GEQO, useful values are in the same range as the pool size |
|
geqoSelectionBias |
number (double) selective pressure within the population |
|
geqoSeed |
number (double) initial value of the random number generator used by GEQO |
|
pgTrgmSimilarityThreshold |
number (double) |
|
pgTrgmWordSimilarityThreshold |
number (double) |
|
pgTrgmStrictWordSimilarityThreshold |
number (double) |
|
maxStandbyArchiveDelay |
string (int64) in milliseconds. |
|
sessionDurationTimeout |
string (int64) Terminate any session that exceeds the designated timeout, specified in milliseconds. If a timeout is not specified, the default session timeout is set to 12 hours. To disable it, specify a value of 0. Acceptable values are 0 to 2147483647, inclusive. |
|
logReplicationCommands |
boolean |
|
logAutovacuumMinDuration |
string (int64) in milliseconds. The default is 1000 (1 sec). |
|
passwordEncryption |
enum (PasswordEncryption) A default value for
|
PostgresqlConfig12
Options and structure of PostgresqlConfig reflects PostgreSQL configuration file
parameters which detailed description is available in
PostgreSQL documentation
|
Field |
Description |
|
maxConnections |
string (int64) The minimum value is 16. |
|
sharedBuffers |
string (int64) in bytes. |
|
tempBuffers |
string (int64) in bytes. |
|
maxPreparedTransactions |
string (int64) |
|
workMem |
string (int64) in bytes. |
|
maintenanceWorkMem |
string (int64) in bytes. |
|
autovacuumWorkMem |
string (int64) in bytes. |
|
tempFileLimit |
string (int64) in bytes. |
|
vacuumCostDelay |
string (int64) in milliseconds. |
|
vacuumCostPageHit |
string (int64) |
|
vacuumCostPageMiss |
string (int64) |
|
vacuumCostPageDirty |
string (int64) |
|
vacuumCostLimit |
string (int64) |
|
bgwriterDelay |
string (int64) in milliseconds. Acceptable values are 10 to 10000, inclusive. |
|
bgwriterLruMaxpages |
string (int64) |
|
bgwriterLruMultiplier |
number (double) |
|
bgwriterFlushAfter |
string (int64) in bytes Acceptable values are 0 to 2097152, inclusive. |
|
backendFlushAfter |
string (int64) in bytes Acceptable values are 0 to 2097152, inclusive. |
|
oldSnapshotThreshold |
string (int64) |
|
walLevel |
enum (WalLevel)
|
|
synchronousCommit |
enum (SynchronousCommit)
|
|
checkpointTimeout |
string (int64) in milliseconds. Acceptable values are 30000 to 86400000, inclusive. |
|
checkpointCompletionTarget |
number (double) |
|
checkpointFlushAfter |
string (int64) in bytes Acceptable values are 0 to 2097152, inclusive. |
|
maxWalSize |
string (int64) in bytes. |
|
minWalSize |
string (int64) in bytes. |
|
maxStandbyStreamingDelay |
string (int64) in milliseconds. |
|
defaultStatisticsTarget |
string (int64) |
|
constraintExclusion |
enum (ConstraintExclusion)
|
|
cursorTupleFraction |
number (double) |
|
fromCollapseLimit |
string (int64) Acceptable values are 1 to 2147483647, inclusive. |
|
joinCollapseLimit |
string (int64) Acceptable values are 1 to 2147483647, inclusive. |
|
forceParallelMode |
enum (ForceParallelMode)
|
|
clientMinMessages |
enum (LogLevel)
|
|
logMinMessages |
enum (LogLevel)
|
|
logMinErrorStatement |
enum (LogLevel)
|
|
logMinDurationStatement |
string (int64) in milliseconds. |
|
logCheckpoints |
boolean |
|
logConnections |
boolean |
|
logDisconnections |
boolean |
|
logDuration |
boolean |
|
logErrorVerbosity |
enum (LogErrorVerbosity)
|
|
logLockWaits |
boolean |
|
logStatement |
enum (LogStatement)
|
|
logTempFiles |
string (int64) |
|
searchPath |
string |
|
rowSecurity |
boolean |
|
defaultTransactionIsolation |
enum (TransactionIsolation)
|
|
statementTimeout |
string (int64) in milliseconds. |
|
lockTimeout |
string (int64) in milliseconds. |
|
idleInTransactionSessionTimeout |
string (int64) in milliseconds. Acceptable values are 0 to 2147483647, inclusive. |
|
byteaOutput |
enum (ByteaOutput)
|
|
xmlbinary |
enum (XmlBinary)
|
|
xmloption |
enum (XmlOption)
|
|
ginPendingListLimit |
string (int64) in bytes. |
|
deadlockTimeout |
string (int64) in milliseconds. Acceptable values are 1 to 2147483647, inclusive. |
|
maxLocksPerTransaction |
string (int64) |
|
maxPredLocksPerTransaction |
string (int64) |
|
arrayNulls |
boolean |
|
backslashQuote |
enum (BackslashQuote)
|
|
defaultWithOids |
boolean |
|
escapeStringWarning |
boolean |
|
loCompatPrivileges |
boolean |
|
operatorPrecedenceWarning |
boolean |
|
quoteAllIdentifiers |
boolean |
|
standardConformingStrings |
boolean |
|
synchronizeSeqscans |
boolean |
|
transformNullEquals |
boolean |
|
exitOnError |
boolean |
|
seqPageCost |
number (double) |
|
randomPageCost |
number (double) |
|
autovacuumMaxWorkers |
string (int64) Acceptable values are 1 to 32, inclusive. |
|
autovacuumVacuumCostDelay |
string (int64) |
|
autovacuumVacuumCostLimit |
string (int64) |
|
autovacuumNaptime |
string (int64) in milliseconds. Acceptable values are 1000 to 86400000, inclusive. |
|
archiveTimeout |
string (int64) in milliseconds. Acceptable values are 10000 to 86400000, inclusive. |
|
trackActivityQuerySize |
string (int64) Acceptable values are 100 to 102400, inclusive. |
|
enableBitmapscan |
boolean |
|
enableHashagg |
boolean |
|
enableHashjoin |
boolean |
|
enableIndexscan |
boolean |
|
enableIndexonlyscan |
boolean |
|
enableMaterial |
boolean |
|
enableMergejoin |
boolean |
|
enableNestloop |
boolean |
|
enableSeqscan |
boolean |
|
enableSort |
boolean |
|
enableTidscan |
boolean |
|
maxWorkerProcesses |
string (int64) Acceptable values are 0 to 1024, inclusive. |
|
maxParallelWorkers |
string (int64) Acceptable values are 0 to 1024, inclusive. |
|
maxParallelWorkersPerGather |
string (int64) Acceptable values are 0 to 1024, inclusive. |
|
autovacuumVacuumScaleFactor |
number (double) |
|
autovacuumAnalyzeScaleFactor |
number (double) |
|
defaultTransactionReadOnly |
boolean |
|
timezone |
string |
|
enableParallelAppend |
boolean |
|
enableParallelHash |
boolean |
|
enablePartitionPruning |
boolean |
|
enablePartitionwiseAggregate |
boolean |
|
enablePartitionwiseJoin |
boolean |
|
jit |
boolean |
|
maxParallelMaintenanceWorkers |
string (int64) The minimum value is 0. |
|
parallelLeaderParticipation |
boolean |
|
vacuumCleanupIndexScaleFactor |
number (double) |
|
logTransactionSampleRate |
number (double) |
|
planCacheMode |
enum (PlanCacheMode)
|
|
effectiveIoConcurrency |
string (int64) Acceptable values are 0 to 1000, inclusive. |
|
effectiveCacheSize |
string (int64) Acceptable values are 1048576 to 549755813888, inclusive. |
|
sharedPreloadLibraries[] |
enum (SharedPreloadLibraries)
|
|
autoExplainLogMinDuration |
string (int64) in milliseconds. |
|
autoExplainLogAnalyze |
boolean |
|
autoExplainLogBuffers |
boolean |
|
autoExplainLogTiming |
boolean |
|
autoExplainLogTriggers |
boolean |
|
autoExplainLogVerbose |
boolean |
|
autoExplainLogNestedStatements |
boolean |
|
autoExplainSampleRate |
number (double) |
|
pgHintPlanEnableHint |
boolean |
|
pgHintPlanEnableHintTable |
boolean |
|
pgHintPlanDebugPrint |
enum (PgHintPlanDebugPrint)
|
|
pgHintPlanMessageLevel |
enum (LogLevel)
|
|
pgQualstatsEnabled |
boolean |
|
pgQualstatsTrackConstants |
boolean |
|
pgQualstatsMax |
string (int64) |
|
pgQualstatsResolveOids |
boolean |
|
pgQualstatsSampleRate |
number (double) |
|
maxStackDepth |
string (int64) in bytes. Acceptable values are 65536 to 134217728, inclusive. |
|
geqo |
boolean enable Genetic Query Optimizer, by default is on |
|
geqoThreshold |
string (int64) The number of tables to use geqo, default is 12 Acceptable values are 2 to 2147483647, inclusive. |
|
geqoEffort |
string (int64) tradeoff between planning time and query plan quality, default is 5 Acceptable values are 1 to 10, inclusive. |
|
geqoPoolSize |
string (int64) number of individuals in the genetic population, useful values are typically 100 to 1000; default - 0 - choose based on based on geqo_effort |
|
geqoGenerations |
string (int64) the number of generations used by GEQO, useful values are in the same range as the pool size |
|
geqoSelectionBias |
number (double) selective pressure within the population |
|
geqoSeed |
number (double) initial value of the random number generator used by GEQO |
|
pgTrgmSimilarityThreshold |
number (double) |
|
pgTrgmWordSimilarityThreshold |
number (double) |
|
pgTrgmStrictWordSimilarityThreshold |
number (double) |
|
maxStandbyArchiveDelay |
string (int64) in milliseconds. |
|
sessionDurationTimeout |
string (int64) Terminate any session that exceeds the designated timeout, specified in milliseconds. If a timeout is not specified, the default session timeout is set to 12 hours. To disable it, specify a value of 0. Acceptable values are 0 to 2147483647, inclusive. |
|
logReplicationCommands |
boolean |
|
logAutovacuumMinDuration |
string (int64) in milliseconds. The default is 1000 (1 sec). |
|
passwordEncryption |
enum (PasswordEncryption) A default value for
|
PostgresqlConfig13
Options and structure of PostgresqlConfig reflects PostgreSQL configuration file
parameters which detailed description is available in
PostgreSQL documentation
|
Field |
Description |
|
maxConnections |
string (int64) The minimum value is 16. |
|
sharedBuffers |
string (int64) in bytes. |
|
tempBuffers |
string (int64) in bytes. |
|
maxPreparedTransactions |
string (int64) |
|
workMem |
string (int64) in bytes. |
|
maintenanceWorkMem |
string (int64) in bytes. |
|
autovacuumWorkMem |
string (int64) in bytes. |
|
tempFileLimit |
string (int64) in bytes. |
|
vacuumCostDelay |
string (int64) in milliseconds. |
|
vacuumCostPageHit |
string (int64) |
|
vacuumCostPageMiss |
string (int64) |
|
vacuumCostPageDirty |
string (int64) |
|
vacuumCostLimit |
string (int64) |
|
bgwriterDelay |
string (int64) in milliseconds. Acceptable values are 10 to 10000, inclusive. |
|
bgwriterLruMaxpages |
string (int64) |
|
bgwriterLruMultiplier |
number (double) |
|
bgwriterFlushAfter |
string (int64) in bytes Acceptable values are 0 to 2097152, inclusive. |
|
backendFlushAfter |
string (int64) in bytes Acceptable values are 0 to 2097152, inclusive. |
|
oldSnapshotThreshold |
string (int64) |
|
walLevel |
enum (WalLevel)
|
|
synchronousCommit |
enum (SynchronousCommit)
|
|
checkpointTimeout |
string (int64) in milliseconds. Acceptable values are 30000 to 86400000, inclusive. |
|
checkpointCompletionTarget |
number (double) |
|
checkpointFlushAfter |
string (int64) in bytes Acceptable values are 0 to 2097152, inclusive. |
|
maxWalSize |
string (int64) in bytes. |
|
minWalSize |
string (int64) in bytes. |
|
maxStandbyStreamingDelay |
string (int64) in milliseconds. |
|
defaultStatisticsTarget |
string (int64) |
|
constraintExclusion |
enum (ConstraintExclusion)
|
|
cursorTupleFraction |
number (double) |
|
fromCollapseLimit |
string (int64) Acceptable values are 1 to 2147483647, inclusive. |
|
joinCollapseLimit |
[...]
